Help! Text underline & set text height to 1/8

Discussion in 'AutoCAD' started by z03656, Feb 8, 2005.

  1. z03656

    z03656 Guest

    I lisp function that set dtext height to 1/8. I also have lisp that would underline by using %%u. I trying to combine the two. I also wanted to go to the current layer. (see attachment)
     
    z03656, Feb 8, 2005
    #1
  2. z03656

    Walt Engle Guest

    You might try to add the following in your lsp routine:

    ; UN.LSP
    ; UNDERLINES SELECTED LINE OF TEXT
    ; FROM CADALYST, SEPT 1998
    (defun c:un (/ ED ER ES)
    (prompt "This routine UNDERLINES selected line of text: ")
    (terpri)
    (setvar "cmdecho" 0)
    (setvar "highlight" 0)
    (command "texteval" 1)
    (setq ed (entget (car
    (nentsel "\nPick text to underline:"))))
    (setq er (cdr (assoc 1 ed)))
    (setq es (strcat "%%u" er))
    (setq ed (subst (cons 1 es)(assoc 1 ed) ed))
    (entmod ed)
    (setvar "highlight" 1)
    )
     
    Walt Engle, Feb 8, 2005
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.